%define momorel 3

Summary: A library for high-performance 2D graphics.
Name: libart_lgpl

Version: 2.3.17
Release: %{momorel}m
License: LGPL
Group: System Environment/Libraries
URL: http://www.gnome.org/

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/platform/2.12/2.12.1/sources/%{name}-%{version}.tar.bz2 dfca42529393c8a8f59dc4dc10675a46

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: pkgconfig >= 0.10.0

Provides: libart

%description
Libart supports a very powerful imaging model, basically the same as
SVG and the Java 2D API. It includes all PostScript imaging
operations, and adds antialiasing and alpha-transparency.

Libart is also highly tuned for incremental rendering. It contains
data structures and algorithms suited to rapid, precise computation of
Region of Interest, as well as a two-phase rendering pipeline
optimized for interactive display.

%package devel
Summary: A library for high-performance 2D graphics.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libart supports a very powerful imaging model, basically the same as
SVG and the Java 2D API. It includes all PostScript imaging
operations, and adds antialiasing and alpha-transparency.

Libart is also highly tuned for incremental rendering. It contains
data structures and algorithms suited to rapid, precise computation of
Region of Interest, as well as a two-phase rendering pipeline
optimized for interactive display.

%prep
%setup -q
##autoreconf -i

%build
%configure --enable-shared
%make
##make check

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig
  
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%doc COPYING test*.c
%{_bindir}/libart2-config
%{_libdir}/*a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libart-2.0

%changelog
* Sun Nov 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.3.17-3m)
- comment out unnessesaly autoreconf and make check

* Sat Nov 19 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.3.17-2m)
- enable shared

* Sun Nov 13 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.3.17-1m)
- version up.
- GNOME 2.12.1 Desktop

* Tue Dec 21 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.3.16-3m)
- add auto commands before %%build for fix missing lib*.so problem

* Mon Oct 27 2003 Kenta MURATA <muraken2@nifty.com>
- (2.3.16-2m)
- includes test sources.
- changes Sumamry and Description.
- pretty spec file.

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.3.16-1m)
- version 2.3.16

* Sat Aug 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.3.14-1m)
- version 2.3.14

* Tue Jul 15 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.3.13-1m)
- version 2.3.13

* Thu May 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.3.12-1m)
- version 2.3.12

* Tue Nov 26 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.3.11-1m)
- version 2.3.11

* Sun Jul 21 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.3.10-1m)
- version 2.3.10

* Tue Jun 25 2002 Shingo Akagaki <dora@kondara.org>
- (2.3.9-2k)
- version 2.3.9

* Sun May 05 2002 Shingo Akagaki <dora@kondara.org>
- (2.3.8-2k)
- version 2.3.8

* Fri Jan 11 2002 Shingo Akagaki <dora@kondara.org>
- (2.3.8-2k)
- release version

* Mon Jan  7 2002 Shingo Akagaki <dora@kondara.org>
- (2.3.8-0.02002010701k)
- cvs version 2.3.8

* Tue Dec 25 2001 Shingo Akagaki <dora@kondara.org>
- (2.3.7-2k)
- port from Jirai
- version 2.3.7

* Tue Sep 25 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- (2.3.5-3k)
- created spec file
